Subject: RE: [rohc] Notes from the HCoIPsec Side-Session at IETF (03/20/06)

From: "Ertekin Emre" <[email-masked]>
Date: Mon, 10 Apr 2006 10:10:25 -0400

Lars-Erik, 

Thanks for your response!  Comments inline ...

> > 2) Resolution of the HCoIPsec alternatives: There was 
> consensus that 
> > the only difference between the two approaches is the way 
> to identify 
> > uncompressed packets.  The first approach uses the "uncompressed 
> > profile" as the demultiplexing point, and the second 
> approach uses the 
> > "next header" field.  Since the second approach provides a greater 
> > reduction in overhead, HCoIPsec efforts will proceed with 
> the second 
> > approach, as detailed in the alternatives draft.  IANA will be 
> > requested to allocate one value from the next header field for 
> > "compressed headers".
> 
> This looks fine, but from our point of view I assume the 
> above should not say "compressed headers" but "ROHC (packets)", right?

Correct.  This is assuming that that IPHC/eCRTP line of HC schemes are
plugged into the ROHC framework.

> > 7) The following documents that are required to achieve HCoIPsec:   
> >    a.  HCoIPsec Framework
> 
> As per previous discussions where we said this should not 
> have to be a standards track document since it would not 
> really define any new protocol, did you discuss this or do 
> you have a different view if this after the Dallas side-session?

At Dallas, we did not discuss whether or not HCoIPsec would be a
standards track document.  However, we did decide to document "HCoIPsec
Alternative 2" within the HCoIPsec framework document.  Therefore, it
may be beneficial to target the HCoIPsec framework as a standards track
document.  Thoughts?

> > 10) The HCoIPsec framework is currently a chartered item
> > within the ROHC WG.  
> 
> Well, actually it is not. We have a WG draft, but that does not
> mean it is a chartered item. We will have to make a request to
> make this a WG item, and there nail down which drafts to produce.

OK -- sounds good.  Perhaps we can discuss this possibility during the
next ROHC WG re-charter.  As for nailing down the drafts, I listed the
ones that would be required for HCoIPsec in my previous email.

Best Regards,
Emre

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc